Redmine - Defect #4366

Bulk edit of issues throws 500 if no versions are defined on the project
2009-12-09 00:08 - Holger Just

Status: Closed Start date: 2009-12-09
Priority: High Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description
The display of the bulk edit form of issues always fails if no versions are defined in the current project.

The cause is in project_helper.rb in version_options_for_select. In case there are no versions defined grouped is an empty Hash
which results in a call to options_for_select and nil as the first parameter. This function however expects an Array.

A simple patch (against the current trunk r3136) is provided to solve the issue.

Associated revisions

Revision 3140 - 2009-12-09 10:22 - Jean-Philippe Lang

Fixed: Bulk edit of issues throws 500 if no versions are defined on the project (#4366).

History

#1 - 2009-12-09 10:16 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fix + test committed in r3140.
Thanks.

Files

bulk_edit_without_defined_versions.patch 512 Bytes 2009-12-08 Holger Just
